Bug 1311710 - SELinux is preventing charon-nm from write access on the sock_file system_bus_socket.
Summary: SELinux is preventing charon-nm from write access on the sock_file system_bus...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 23
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lukas Vrabec 🐦
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-24 19:37 UTC by Marcel Hellwig
Modified: 2016-03-05 06:23 UTC (History)
6 users (show)

Fixed In Version: selinux-policy-3.13.1-158.8.fc23 selinux-policy-3.13.1-158.9.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-05 06:23:02 UTC


Attachments (Terms of Use)

Description Marcel Hellwig 2016-02-24 19:37:29 UTC
Description of problem:
Selinux prevents charon/strongswan from doing its job.
I tried to use Networkmanager to open a tunnel, this fails.


Version-Release number of selected component (if applicable):
# dnf info selinux-policy
Installed Packages
Name        : selinux-policy
Arch        : noarch
Epoch       : 0
Version     : 3.13.1
Release     : 158.6.fc23
Size        : 18 k
Repo        : @System
From repo   : updates


How reproducible:
Every time

Steps to Reproduce:
1. Try to create a tunnel (with NetworkManager).


Additional info:
SELinux is preventing charon-nm from write access on the sock_file system_bus_socket.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that charon-nm should be allowed write access on the system_bus_socket sock_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep charon-nm /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:ipsec_t:s0
Target Context                system_u:object_r:system_dbusd_var_run_t:s0
Target Objects                system_bus_socket [ sock_file ]
Source                        charon-nm
Source Path                   charon-nm
Port                          <Unknown>
Host                          thinki
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-158.6.fc23.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     thinki
Platform                      Linux thinki 4.5.0-0.rc4.git2.2.fc24.x86_64 #1 SMP
                              Thu Feb 18 17:54:32 UTC 2016 x86_64 x86_64
Alert Count                   1
First Seen                    2016-02-24 20:11:29 CET
Last Seen                     2016-02-24 20:11:29 CET
Local ID                      aae8acd8-83a4-45de-900f-6f7f028cc754

Raw Audit Messages
type=AVC msg=audit(1456341089.643:1980): avc:  denied  { write } for  pid=24422 comm="charon-nm" name="system_bus_socket" dev="tmpfs" ino=22714 scontext=system_u:system_r:ipsec_t:s0 tcontext=system_u:object_r:system_dbusd_var_run_t:s0 tclass=sock_file permissive=0


Hash: charon-nm,ipsec_t,system_dbusd_var_run_t,sock_file,write

Comment 1 Lukas Vrabec 🐦 2016-02-25 15:26:42 UTC
commit 47e8b4aac6c1ac0333508cb680f0d4b32dcf9ee4
Author: Lubomir Rintel <lkundrak@v3.sk>
Date:   Wed Oct 21 19:38:36 2015 +0200

    ipsec: fix stringSwan charon-nm
    
    StrongSwan has an IPSec IKE daemon and the NetworkManager plugin in the same
    binary. They don't split it into a mgmt daemon and actual IPSec daemon.

Comment 2 Fedora Update System 2016-02-27 13:50:39 UTC
selinux-policy-3.13.1-158.9.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ffbae3a870

Comment 3 Fedora Update System 2016-02-28 13:54:29 UTC
selinux-policy-3.13.1-158.9.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ffbae3a870

Comment 4 Fedora Update System 2016-03-05 06:22:09 UTC
selinux-policy-3.13.1-158.9.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.